﻿using System;
namespace Helios.Source
{
	public class Battery
	{
        public int Capacity { get; set; }
        public int Voltage { get; set; }
        public double Charge { get; private set; }
        public double DepthOfDischarge { get; private set; }
        
        public Battery() { }

        public Battery(int capacity, int voltage)
        {
            this.Capacity = capacity;
            this.Voltage = voltage;
        }

        public double GetCharge(double powerBalence)
        {
            double charge;

            charge = powerBalence / this.Voltage;

            this.Charge = charge;

            return charge;
        }

        public double GetDepthOfDischarge()
        {
            double depthOfDischarge;

            depthOfDischarge = (1 - (this.Charge / this.Capacity)) * 100;

            this.DepthOfDischarge = depthOfDischarge;

            return depthOfDischarge;
        }
	}
}

